List visits from personal links
curl --request GET \
--url https://api.meetdarwin.ai/v1/link_visits \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.meetdarwin.ai/v1/link_visits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.meetdarwin.ai/v1/link_visits"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"object": "list",
"data": [
{
"id": "lv_3f9a0c1d2b4e5f60718293a4b5c6d7e8",
"object": "link_visit",
"link": {
"id": "<string>",
"name": "<string>"
},
"greeting": "<string>",
"page": "<string>",
"person": {
"email": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"company": "<string>",
"title": "<string>"
},
"contact": "<string>",
"conversations": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z",
"last_seen_at": "2023-11-07T05:31:56Z",
"test": true
}
],
"has_more": true,
"next_cursor": "<string>"
}{
"type": "https://docs.meetdarwin.ai/api-reference/errors#insufficient_scope",
"title": "<string>",
"status": 0,
"code": "insufficient_scope",
"detail": "<string>",
"request_id": "req_8m2k4p0q1x7z9c3v5b6n",
"param": "<string>",
"required_plan": "growth",
"feature": "fit_rules",
"upgrade_url": "<string>"
}{
"type": "https://docs.meetdarwin.ai/api-reference/errors#insufficient_scope",
"title": "<string>",
"status": 0,
"code": "insufficient_scope",
"detail": "<string>",
"request_id": "req_8m2k4p0q1x7z9c3v5b6n",
"param": "<string>",
"required_plan": "growth",
"feature": "fit_rules",
"upgrade_url": "<string>"
}{
"type": "https://docs.meetdarwin.ai/api-reference/errors#insufficient_scope",
"title": "<string>",
"status": 0,
"code": "insufficient_scope",
"detail": "<string>",
"request_id": "req_8m2k4p0q1x7z9c3v5b6n",
"param": "<string>",
"required_plan": "growth",
"feature": "fit_rules",
"upgrade_url": "<string>"
}{
"type": "https://docs.meetdarwin.ai/api-reference/errors#insufficient_scope",
"title": "<string>",
"status": 0,
"code": "insufficient_scope",
"detail": "<string>",
"request_id": "req_8m2k4p0q1x7z9c3v5b6n",
"param": "<string>",
"required_plan": "growth",
"feature": "fit_rules",
"upgrade_url": "<string>"
}{
"type": "https://docs.meetdarwin.ai/api-reference/errors#insufficient_scope",
"title": "<string>",
"status": 0,
"code": "insufficient_scope",
"detail": "<string>",
"request_id": "req_8m2k4p0q1x7z9c3v5b6n",
"param": "<string>",
"required_plan": "growth",
"feature": "fit_rules",
"upgrade_url": "<string>"
}{
"type": "https://docs.meetdarwin.ai/api-reference/errors#insufficient_scope",
"title": "<string>",
"status": 0,
"code": "insufficient_scope",
"detail": "<string>",
"request_id": "req_8m2k4p0q1x7z9c3v5b6n",
"param": "<string>",
"required_plan": "growth",
"feature": "fit_rules",
"upgrade_url": "<string>"
}{
"type": "https://docs.meetdarwin.ai/api-reference/errors#insufficient_scope",
"title": "<string>",
"status": 0,
"code": "insufficient_scope",
"detail": "<string>",
"request_id": "req_8m2k4p0q1x7z9c3v5b6n",
"param": "<string>",
"required_plan": "growth",
"feature": "fit_rules",
"upgrade_url": "<string>"
}{
"type": "https://docs.meetdarwin.ai/api-reference/errors#insufficient_scope",
"title": "<string>",
"status": 0,
"code": "insufficient_scope",
"detail": "<string>",
"request_id": "req_8m2k4p0q1x7z9c3v5b6n",
"param": "<string>",
"required_plan": "growth",
"feature": "fit_rules",
"upgrade_url": "<string>"
}Personal links
List visits from personal links
Requires the analytics:read scope.
Names, emails, companies and titles need contacts:read.
GET
/
link_visits
List visits from personal links
curl --request GET \
--url https://api.meetdarwin.ai/v1/link_visits \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.meetdarwin.ai/v1/link_visits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.meetdarwin.ai/v1/link_visits"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"object": "list",
"data": [
{
"id": "lv_3f9a0c1d2b4e5f60718293a4b5c6d7e8",
"object": "link_visit",
"link": {
"id": "<string>",
"name": "<string>"
},
"greeting": "<string>",
"page": "<string>",
"person": {
"email": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"company": "<string>",
"title": "<string>"
},
"contact": "<string>",
"conversations": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z",
"last_seen_at": "2023-11-07T05:31:56Z",
"test": true
}
],
"has_more": true,
"next_cursor": "<string>"
}{
"type": "https://docs.meetdarwin.ai/api-reference/errors#insufficient_scope",
"title": "<string>",
"status": 0,
"code": "insufficient_scope",
"detail": "<string>",
"request_id": "req_8m2k4p0q1x7z9c3v5b6n",
"param": "<string>",
"required_plan": "growth",
"feature": "fit_rules",
"upgrade_url": "<string>"
}{
"type": "https://docs.meetdarwin.ai/api-reference/errors#insufficient_scope",
"title": "<string>",
"status": 0,
"code": "insufficient_scope",
"detail": "<string>",
"request_id": "req_8m2k4p0q1x7z9c3v5b6n",
"param": "<string>",
"required_plan": "growth",
"feature": "fit_rules",
"upgrade_url": "<string>"
}{
"type": "https://docs.meetdarwin.ai/api-reference/errors#insufficient_scope",
"title": "<string>",
"status": 0,
"code": "insufficient_scope",
"detail": "<string>",
"request_id": "req_8m2k4p0q1x7z9c3v5b6n",
"param": "<string>",
"required_plan": "growth",
"feature": "fit_rules",
"upgrade_url": "<string>"
}{
"type": "https://docs.meetdarwin.ai/api-reference/errors#insufficient_scope",
"title": "<string>",
"status": 0,
"code": "insufficient_scope",
"detail": "<string>",
"request_id": "req_8m2k4p0q1x7z9c3v5b6n",
"param": "<string>",
"required_plan": "growth",
"feature": "fit_rules",
"upgrade_url": "<string>"
}{
"type": "https://docs.meetdarwin.ai/api-reference/errors#insufficient_scope",
"title": "<string>",
"status": 0,
"code": "insufficient_scope",
"detail": "<string>",
"request_id": "req_8m2k4p0q1x7z9c3v5b6n",
"param": "<string>",
"required_plan": "growth",
"feature": "fit_rules",
"upgrade_url": "<string>"
}{
"type": "https://docs.meetdarwin.ai/api-reference/errors#insufficient_scope",
"title": "<string>",
"status": 0,
"code": "insufficient_scope",
"detail": "<string>",
"request_id": "req_8m2k4p0q1x7z9c3v5b6n",
"param": "<string>",
"required_plan": "growth",
"feature": "fit_rules",
"upgrade_url": "<string>"
}{
"type": "https://docs.meetdarwin.ai/api-reference/errors#insufficient_scope",
"title": "<string>",
"status": 0,
"code": "insufficient_scope",
"detail": "<string>",
"request_id": "req_8m2k4p0q1x7z9c3v5b6n",
"param": "<string>",
"required_plan": "growth",
"feature": "fit_rules",
"upgrade_url": "<string>"
}{
"type": "https://docs.meetdarwin.ai/api-reference/errors#insufficient_scope",
"title": "<string>",
"status": 0,
"code": "insufficient_scope",
"detail": "<string>",
"request_id": "req_8m2k4p0q1x7z9c3v5b6n",
"param": "<string>",
"required_plan": "growth",
"feature": "fit_rules",
"upgrade_url": "<string>"
}Authorizations
A secret key (dk_live_…). Scopes: conversations:read, contacts:read, contacts:write, meetings:read, analytics:read, events:read, webhooks:write, knowledge:read, knowledge:write, agent:read, agent:write, experiments:read, experiments:write, privacy:write, chat:write.
Query Parameters
1 to 100; default 25.
Required range:
1 <= x <= 100The next_cursor from the previous page.
Only visits since.
From this link (lk_…).
By this contact (ct_…).
Include your team's and test browsers' visits.